Goal / Raised Amounts
curl --request GET \
--url https://api.crowdchange.dev/v2/client/fundraiser/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/client/fundraiser/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/client/fundraiser/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "amount",
"goal": 10000,
"raised": 5000,
"donors": 25,
"n_teams": 10,
"n_pages": 25,
"name": "Gala Night",
"description": "Help us reach our goal and make a difference!",
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
},
"event": {
"start_at": "2024-01-01 18:00:00",
"end_at": "2024-01-01 22:00:00"
}
}
Campaign-Specific APIs
Goal / Raised Amounts
Retrieve the goal amount, raised amount, donor count, and core campaign metadata for a specific CrowdChange campaign by its fundraiser ID.
GET
/
v2
/
client
/
fundraiser
/
{id}
Goal / Raised Amounts
Path parameters
integer
required
Fundraiser ID.
Query parameters
boolean
Include only received transactions for raised amount. Default:
falseResponse
string
Goal type. Allowed values:
amount, donorsnumber
Goal amount.
number
Raised amount.
number
Number of participants.
number
Number of teams in the campaign.
number
Number of personal pages in the campaign.
string
Campaign name.
string
Campaign description.
object
Campaign images.
object
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
{
"type": "amount",
"goal": 10000,
"raised": 5000,
"donors": 25,
"n_teams": 10,
"n_pages": 25,
"name": "Gala Night",
"description": "Help us reach our goal and make a difference!",
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
},
"event": {
"start_at": "2024-01-01 18:00:00",
"end_at": "2024-01-01 22:00:00"
}
}
Was this page helpful?
⌘I